#include <bits/stdc++.h>
using namespace std;

int p_cif(int n) {
    int p = 1;
    do {
        p *= n%10;
        n/=10;
    }while (n);
    return p;
}




int main() {
    ios_base::sync_with_stdio(false);
    int n, t;
    cin>>t;
    
    for (int i = 0; i<t; i++) {
        unordered_set<int> proizvodi;
        cin>>n;
        for (int i = 1; i<=n; i++) {
            proizvodi.insert(p_cif(i));
        }

        cout<<proizvodi.size()<<'\n';
        proizvodi.clear();
    }
    
}